Combine Gift Cards
Combines multiple gift card balances into a single target card. All source card balances will be transferred to the target card and source cards will be marked as Combined.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details including target card and source cards with passcodes.
Gift card consolidation/combine request details.
- Type: stringreference
Number min length:1max length:40Pattern: ^[0-9]+$requiredA unique reference number for the transaction.
- Type: objectsource
Card Credentials requiredDictionary of source card numbers and their passcodes to transfer from. Key: Card number, Value: Passcode
- Type: stringtarget
Card Number max length:30Pattern: ^\d+$requiredTarget gift card number where all balances will be consolidated.
- Type: string Format: date-timetransaction
Date Time U T C requiredThe UTC timestamp of the transaction. Required for audit purposes.
- Type: stringuser
Id max length:100requiredUser ID who owns all the cards.
- Type: string · enumchannelvalues
- None
- P
O S - Kiosk
- Type: string · enumpayment
Source values- Scan
To Pay - Online
- None
- Type: string | nulltarget
Card Passcode max length:20Target card passcode for authentication.
- Type: string | null Format: date-timetransaction
Date Time Local The local timestamp of the transaction.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/giftcard/v1/combine \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"targetCardNumber": "",
"targetCardPasscode": null,
"sourceCardCredentials": {
"additionalProperty": ""
},
"userId": "",
"referenceNumber": "",
"transactionDateTimeUTC": "",
"transactionDateTimeLocal": null,
"paymentSource": "ScanToPay",
"channel": "None"
}'
{
"recordCount": null,
"data": {
"parPayTransactionId": null,
"statusMessage": null,
"targetCardNumber": null,
"totalTransferredAmount": 1,
"newTargetBalance": 1,
"sourceCardsProcessed": 1,
"transactionDateTimeUTC": "2026-08-04T10:27:03.092Z",
"status": "Success"
},
"errors": [
{
"message": null
}
],
"traceId": null,
"statusCode": null
}